Bug 1025196 - Review Request: fcitx-skk - Japanese SKK (Simple Kana Kanji) Engine for Fcitx
Review Request: fcitx-skk - Japanese SKK (Simple Kana Kanji) Engine for Fcitx
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 04:31 EDT by Daiki Ueno
Modified: 2013-12-19 20:54 EST (History)
3 users (show)

See Also:
Fixed In Version: fcitx-skk-0.1.0-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 20:54:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daiki Ueno 2013-10-31 04:31:34 EDT
Spec URL: http://ueno.fedorapeople.org/fcitx-skk/fcitx-skk.spec
SRPM URL: http://ueno.fedorapeople.org/fcitx-skk/fcitx-skk-0.1.0-1.fc21.src.rpm
Description:
Fcitx-skk is an SKK (Simple Kana Kanji) engine for Fcitx.  It provides
Japanese input method using libskk.
Comment 1 Parag AN(पराग) 2013-11-04 03:24:53 EST
Review:

+ Package builds in mock f21

+ rpmlint on generated rpms gave
fcitx-skk.src: W: spelling-error %description -l en_US libskk -> basilisk
fcitx-skk.src: W: strange-permission fcitx-skk-0.1.0.tar.xz 0600L
fcitx-skk.x86_64: W: spelling-error %description -l en_US libskk -> basilisk
fcitx-skk.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 4 warnings.


+ Source verified with upstream as (sha256sum)
srpm tarball : 41c433592e965c95d4b383b036a828c0646ae875540eb10b56ac63cd30a89630
upstream tarball : 41c433592e965c95d4b383b036a828c0646ae875540eb10b56ac63cd30a89630

+ License is valid and included as headers in source files.


Suggestions:
1) Group tag is no longer mandatory, you can remove it.

2) include COPYING as %doc


APPROVED.
Comment 2 Daiki Ueno 2013-11-20 03:59:46 EST
Thanks for the review, will reflect the suggestions when importing.

New Package SCM Request
=======================
Package Name: fcitx-skk
Short Description:  Japanese SKK (Simple Kana Kanji) Engine for Fcitx
Owners: ueno
Branches: f20
InitialCC: i18n-team
Comment 3 Gwyn Ciesla 2013-11-20 08:12:05 EST
Git done (by process-git-requests).
Comment 4 Parag AN(पराग) 2013-11-27 22:55:16 EST
any update here?
Comment 5 Fedora Update System 2013-12-05 00:04:30 EST
fcitx-skk-0.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fcitx-skk-0.1.0-1.fc20
Comment 6 Fedora Update System 2013-12-05 16:28:32 EST
fcitx-skk-0.1.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 7 Fedora Update System 2013-12-19 20:54:51 EST
fcitx-skk-0.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.